{
	"$schema": "https://schemas.wp.org/trunk/block.json",
	"apiVersion": 3,
	"name": "lcp/button",
	"version": "0.1.0",
	"title": "Button",
	"category": "widgets",
	"icon": "smiley",
	"description": "A button for various functions or custom urls",
	"example": {},
	"supports": {
		"html": false
	},
	"attributes": {
		"buttonAction": {
			"type": "string",
			"default": "customUrl"
		},
		"customUrl": {
			"type": "string",
			"default": "#"
		},
		"buttonText": {
			"type": "string",
			"default": "Button Text"
		},
		"displayIcon": {
			"type": "boolean",
			"default": true
				},
		"iconSource": {
			"type": "string",
			"default": "manualSvgPath"
				},
		"iconSvgPath": {
			"type": "string",
			"default": ""
				},
		"iconSvgId": {
			"type": "string",
			"default": ""
		},
		"iconSvgViewbox": {
			"type": "string",
			"default": "0 0 510 510"
		},
		"popUpId": {
			"type": "number"		
		},
		"manualIconSvgPath":{
			"type": "string",
			"default": ""
		},
		"buttonHeight":{
			"type": "string",
			"default": ""
		},
		"buttonPadding":{
			"type": "object",
			"default": {
				"extraLarge": {
					"top": "10px",
					"right": "10px",
					"bottom": "10px",
					"left": "10px"
				},
				"large": {
					"top": "10px",
					"right": "10px",
					"bottom": "10px",
					"left": "10px"
				},
				"medium": {
					"top": "10px",
					"right": "10px",
					"bottom": "10px",
					"left": "10px"
				},
				"small": {
					"top": "10px",
					"right": "10px",
					"bottom": "10px",
					"left": "10px"
				}
			}
		},
		"iconHeight": {
			"type": "string",
			"default": ""
		},
		"iconWidth": {
			"type": "string",
			"default": ""
		}
	},
	"textdomain": "lcp",
	"editorScript": "file:./index.js",
	"editorStyle": "file:./index.css",
	"style": "file:./style-index.css",
	"viewScript": "file:./view.js"
}
